Subject: Re: Questions about the rsvp message

From: [email-masked]
Date: Fri, 11 Aug 2000 09:32:10 -0400

Ward,

When a PATH message is sent from a sender to receiver, the source IP address is
for the sender and the destination IP address if for the end-host receiver.  The
PATH message is received at each intermediate router and recognized as an RSVP
message from the IP protocol ID (46).  The PATH message is sent to the RSVP
process in that router and the state block is created and the PATH message is
changed to update the PHOP object.  The message is then propagated toward the
end-host receiver.

The RESV message is different. The destination address is specified for each
intermediate node. So when a intermediate node receives the RESV message, it
creates the reservation and then updates the destination address for the next
hop.

Hope this helps.

pat

[email-masked]@ISI.EDU on 08/11/2000 05:09:26 AM

Please respond to ward <[email-masked]>

                                                              
 Sent by: [email-masked]                                  
                                                              
 To:      [email-masked]                                        
                                                              
 cc:      (bcc: Patrick Foy/HNS)                              

 Subject: Questions about the rsvp message                    

Hello all,
    I looked into the rfc2205, and now I have a very basic question:
    the destination address of RSVP packet is the receiver's address.
    However, the IP module will check all packets's destination address.
    If it is for this node,then it will deliver the packet to high
    layer.

    then how can the intermediate nodes process the RSVP packet?

    Thanks in advance!

Best regards,
 ward                          mailto:[email-masked]

---

From: Bob Braden <[email-masked]>
Date: Fri, 11 Aug 2000 16:18:04 GMT

*> From [email-masked] Fri Aug 11 02:41:08 2000
  *> From: [email-masked]
  *> Date: Fri, 11 Aug 2000 17:09:26 +0800
  *> X-Mailer: The Bat! (v1.35) S/N 6FD2B6EF
  *> Reply-To: ward <[email-masked]>
  *> Organization: WRI-IP
  *> X-Priority: 3 (Normal)
  *> To: [email-masked]
  *> Subject: Questions about the rsvp message
  *> Mime-Version: 1.0
  *> Content-Transfer-Encoding: 7bit
  *> Sender: [email-masked]
  *> Precedence: bulk
  *> X-Lines: 16
  *> 
  *> Hello all,
  *>     I looked into the rfc2205, and now I have a very basic question:
  *>     the destination address of RSVP packet is the receiver's address.
  *>     However, the IP module will check all packets's destination address.
  *>     If it is for this node,then it will deliver the packet to high
  *>     layer.
  *> 
  *>     then how can the intermediate nodes process the RSVP packet?
  *> 
  *>     Thanks in advance!
  *>   
  *> 

You missed section 3.11.5 of RFC2205

Bob Braden

  *> Best regards,
  *>  ward                          mailto:[email-masked]
  *> 
  *> 
  *>